[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / x11 / py-xcbgen

File: [cvs.NetBSD.org] / pkgsrc / x11 / py-xcbgen / Makefile (download)

Revision 1.4.2.1, Wed Jan 27 16:51:33 2010 UTC (9 years, 8 months ago) by tron
Branch: pkgsrc-2009Q4
Changes since 1.4: +4 -1 lines

Pullup ticket #2975 - requested by wiz
gnome-terminal: build fix
gtk2: build fix
libxcb: build fix
py-xcbgen: build fix
telepathy-gabble: build fix
telepathy-glib: build fix
telepathy-idle: build fix

Revisions pulled up:
- chat/telepathy-gabble/Makefile		1.11
- chat/telepathy-glib/Makefile			1.17
- chat/telepathy-idle/Makefile			1.11
- x11/gnome-terminal/Makefile			1.30
- x11/gtk2/Makefile				1.196
- x11/libxcb/Makefile				1.9
- x11/py-xcbgen/Makefile			1.5
---
Module Name:	pkgsrc
Committed By:	wiz
Date:		Wed Jan 27 08:46:51 UTC 2010

Modified Files:
	pkgsrc/chat/telepathy-gabble: Makefile
	pkgsrc/chat/telepathy-glib: Makefile
	pkgsrc/chat/telepathy-idle: Makefile
	pkgsrc/x11/gnome-terminal: Makefile
	pkgsrc/x11/gtk2: Makefile

Log Message:
Depend on py-expat for all supported python versions, now that
python25 and python26 have been fixed to behave like python24.
---
Module Name:	pkgsrc
Committed By:	wiz
Date:		Wed Jan 27 13:59:47 UTC 2010

Modified Files:
	pkgsrc/x11/py-xcbgen: Makefile

Log Message:
Needs py-expat nowadays. Depend on it and bump PKGREVISION.
---
Module Name:	pkgsrc
Committed By:	wiz
Date:		Wed Jan 27 14:00:33 UTC 2010

Modified Files:
	pkgsrc/x11/libxcb: Makefile

Log Message:
Depend on py-xcbgen that has py-expat dependency.
There are some 1.6 packages (post-python2{5,6} changes) that don't pull
py-expat in and fail.

# $NetBSD: Makefile,v 1.4.2.1 2010/01/27 16:51:33 tron Exp $
#

DISTNAME=	xcb-proto-1.6
PKGNAME=	${PYPKGPREFIX}-xcbgen-1.6
PKGREVISION=	1
CATEGORIES=	x11
MASTER_SITES=	http://xcb.freedesktop.org/dist/
EXTRACT_SUFX=	.tar.bz2

MAINTAINER=	reed@reedmedia.net
HOMEPAGE=	http://xcb.freedesktop.org/
COMMENT=	XCB protocol descriptions (in XML)

DEPENDS+=	${PYPKGPREFIX}-expat-[0-9]*:../../textproc/py-expat

CONFLICTS+=	xcb-proto<1.4nb1
PKG_DESTDIR_SUPPORT=	user-destdir

PYTHON_VERSIONS_ACCEPTED=	26 25

GNU_CONFIGURE=	yes
USE_TOOLS+=	pkg-config
USE_LANGUAGES=	# none
PY_PATCHPLIST=		yes

.include "../../lang/python/extension.mk"
.include "../../mk/bsd.pkg.mk"